library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

package FfpgPkg is

    type t_Ad5600Interface is record
        FrameSynchronization_n: std_logic;
        SerialClock: std_logic;
        SerialData: std_logic;
    end record;
  
    constant c_Ad5600InterfaceInitValue: t_Ad5600Interface := (
        FrameSynchronization_n => '1',
        SerialClock => '0',
        SerialData => '0'
    );
    
    type t_WbInterfaceMosi is record
        Clk: std_logic;
        Rst: std_logic;
        Adr_b32: std_logic_vector(31 downto 0);
        Dat_b32: std_logic_vector(31 downto 0);
        Cyc: std_logic;
        Sel_b4: std_logic_vector(3 downto 0);
        Stb: std_logic;
        We: std_logic;
    end record;

    type t_WbInterfaceMiso is record
        Dat_b32: std_logic_vector(31 downto 0);
        Ack: std_logic;
        Stall: std_logic;
    end record;
    
end package;

package body FfpgPkg is
end package body;
